CueFrame
Api

Fetch a compose job's full ensemble state

Required permission: projects:read

GET
/v1/projects/{id}/compose/jobs/{composeJobId}

Authorization

AuthorizationBearer <token>

API key auth. Prefix cf_live_ for production orgs, cf_test_ for sandbox.

In: header

Path Parameters

id*string
composeJobId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/compose/jobs/string"
{  "composeJobId": "string",  "projectId": "string",  "status": "queued",  "error": "string",  "request": {    "suggestionId": "string",    "fromComposition": true,    "scope": null,    "critique": "string",    "parentJobId": "string",    "maxCandidates": 0,    "budgetUsd": 0,    "qualityThreshold": 0  },  "candidates": [    null  ],  "winner": {    "candidateIndex": 0,    "compositionRunId": "string"  },  "cost": {    "llmUsd": 0,    "visionUsd": 0,    "modalUsd": 0,    "totalUsd": 0  },  "listUsd": 0,  "startedAt": 0,  "completedAt": 0,  "advisoryResult": {    "mode": "advise",    "assessment": {      "editorial": {        "score": 0,        "grounding": "measured",        "abstained": true,        "reliability": 0      },      "spatial": {        "score": 0,        "grounding": "measured",        "abstained": true,        "reliability": 0      },      "brand": {        "score": 0,        "grounding": "measured",        "abstained": true,        "reliability": 0      },      "caption": {        "score": 0,        "grounding": "measured",        "abstained": true,        "reliability": 0      }    },    "proposals": [      {        "label": "string",        "candidateIndex": 0,        "changeSummary": [          "string"        ],        "boundToEtag": "string",        "expectedDelta": {          "property1": "string",          "property2": "string"        }      }    ],    "principles": [      "string"    ],    "plan": null,    "checkpointId": "string"  },  "checkpoint": {    "checkpointId": "string",    "stage": "content",    "version": 0  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "x402Version": 2,  "accepts": [    {}  ],  "error": "string"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}